/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.Client;

import Controllers.Traitement.ParametreSystem;
import Models.connexion;
import java.sql.ResultSet;
import java.sql.SQLException;
/**
 *
 * @author PC-Maher
 */
public class ClientPassagerDB {
    
    connexion cnx = new connexion();
    
    public ClientPassager getClient(String CodeClt){
        ClientPassager CltPassager = new ClientPassager();
        
        if(cnx.ouverture()){
            String sql="SELECT * FROM cltpassageur WHERE (idcltpassageur = "+CodeClt+") AND (local_nom = '"+ParametreSystem.NomLocalPC+"');";
            
            ResultSet resultat;
            try {
                resultat = cnx.excutionquery(sql);
                resultat.next();
                CltPassager.setCodeclient(resultat.getString("idcltpassageur"));
                CltPassager.setNom(resultat.getString("nom"));
                CltPassager.setPrenom(resultat.getString("prenom"));
                //CltPassager.setSexe(resultat.getInt("sexe"));
                CltPassager.setAdresse(resultat.getString("adresse"));
                CltPassager.setTelefixString(resultat.getString("tele"));
                CltPassager.setTelemobileString(resultat.getString("gsm"));
                CltPassager.setLocalNom(resultat.getString("local_nom"));
            } 
            catch (SQLException ex) {
                System.err.println("Erreur SQL ! \n"+ex.getMessage());
                System.out.println(sql);
            }
        }
        return CltPassager;
    }
    
    
    
    
    public ClientPassager addPassager(ClientPassager CltPassager){
        
        String Nom = CltPassager.getNom().replace("'", "\\'");
        String Prenom = CltPassager.getPrenom().replace("'", "\\'");
        String Adresse = "NULL";
        String Naissance = "NULL";
        String Tele = "NULL";
        String Gsm = "NULL";
        
        if(CltPassager.getNaissance() != null){
            if( CltPassager.getNaissance().length() != 0){
                Naissance = "'"+CltPassager.getNaissance()+"'";
            } 
        }       
        
        if(CltPassager.getAdresse() != null){
            if( CltPassager.getAdresse().length() != 0){
                Adresse = CltPassager.getAdresse().replace("'", "\\'");
            } 
        }
        
        
        if(CltPassager.getTelefixString()!= null){ 
            if(CltPassager.getTelefixString().length() != 0){
                Tele = CltPassager.getTelefixString();
            }
        }
        
        if(CltPassager.getTelemobileString()!= null){
            if(CltPassager.getTelemobileString().length() != 0){
                Gsm = CltPassager.getTelemobileString();
            }
        }
        
        String req = "INSERT INTO cltpassageur (nom, prenom, adresse, naissance, tele, gsm, local_nom, date_add) VALUES ('"+Nom+"', '"+Prenom+"', '"+Adresse+"', "+Naissance+", "+Tele+", "+Gsm+", '"+ParametreSystem.NomLocalPC+"', CURTIME());";
        
        if(cnx.ouverture()){
            String Code = cnx.InsertGetLastId(req);
            CltPassager.setCodeclient(Code);
        }
        return CltPassager;
    }
    
}
